summaryrefslogtreecommitdiffstats
path: root/package/base-files/files/lib/functions.sh
diff options
context:
space:
mode:
authorJohn Crispin <john@openwrt.org>2014-09-16 11:56:19 +0000
committerJohn Crispin <john@openwrt.org>2014-09-16 11:56:19 +0000
commit44249f71a863682ab2569c4794ed2a98bd59c1d9 (patch)
treee01492c520450e01200f2be5bde9f0f3e743b057 /package/base-files/files/lib/functions.sh
parentac01f2b9d6f83fcb63b03b48be1dddd6ca963c0f (diff)
downloadmaster-31e0f0ae-44249f71a863682ab2569c4794ed2a98bd59c1d9.tar.gz
master-31e0f0ae-44249f71a863682ab2569c4794ed2a98bd59c1d9.tar.bz2
master-31e0f0ae-44249f71a863682ab2569c4794ed2a98bd59c1d9.zip
postinst trigger: the new postinst trigger broke IB
Signed-off-by: John Crispin <blogic@openwrt.org> SVN-Revision: 42571
Diffstat (limited to 'package/base-files/files/lib/functions.sh')
-rwxr-xr-xpackage/base-files/files/lib/functions.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/package/base-files/files/lib/functions.sh b/package/base-files/files/lib/functions.sh
index 67f4a046e5..fafb7a340f 100755
--- a/package/base-files/files/lib/functions.sh
+++ b/package/base-files/files/lib/functions.sh
@@ -197,9 +197,12 @@ default_postinst() {
done
done
}
- [ -n "${IPKG_INSTROOT}" -o "$PKG_UPGRADE" = "1" ] || for i in `cat /usr/lib/opkg/info/${name}.list | grep "^/etc/init.d/"`; do
- $i enable
- $i start
+ [ "$PKG_UPGRADE" = "1" ] || for i in `cat ${IPKG_INSTROOT}/usr/lib/opkg/info/${name}.list | grep "^/etc/init.d/"`; do
+ [ -n "${IPKG_INSTROOT}" ] && $(which bash) ${IPKG_INSTROOT}/etc/rc.common ${IPKG_INSTROOT}$i enable; \
+ [ -n "${IPKG_INSTROOT}" ] || {
+ $i enable
+ $i start
+ }
done
return 0
}